/*
 * Lembrete.java
 *
 * Created on 12 de Fevereiro de 2007, 23:18
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package siprp.lembretes;

import java.util.Date;

/**
 *
 * @author Frederico
 */
public class Lembrete
{
	protected Integer id;
	protected Integer tipoID;
	protected Date data;
	protected String descricao;
	protected String texto;
	protected Integer empresaID;
	protected Integer estabelecimentoID;
	protected Integer trabalhadorID;
	protected Integer marcacaoEstabelecimentoID;
	protected Integer marcacaoTrabalhadorID;
	protected boolean enviarEmail;
	protected Integer periodicidadeDias;
	protected Integer periodicidadeMeses;
	
	/** Creates a new instance of Lembrete */
	public Lembrete( Integer id,
						Integer tipoID,
						Date data,
						String descricao,
						String texto,
						Integer empresaID,
						Integer estabelecimentoID,
						Integer trabalhadorID,
						Integer marcacaoEstabelecimentoID,
						Integer marcacaoTrabalhadorID,
						boolean enviarEmail,
						Integer periodicidadeDias,
						Integer periodicidadeMeses )
	{
		setId( id );
		setTipoID( tipoID );
		setData( data );
		setDescricao( descricao );
		setTexto( texto );
		setEmpresaID( empresaID );
		setEstabelecimentoID( estabelecimentoID );
		setTrabalhadorID( trabalhadorID );
		setMarcacaoEstabelecimentoID( marcacaoEstabelecimentoID );
		setMarcacaoTrabalhadorID( marcacaoTrabalhadorID );
		setEnviarEmail( enviarEmail );
		setPeriodicidadeDias( periodicidadeDias );
		setPeriodicidadeMeses( periodicidadeMeses );
	}

	public Integer getTipoID()
	{
		return tipoID;
	}

	public void setTipoID(Integer tipoID)
	{
		this.tipoID = tipoID;
	}

	public Date getData()
	{
		return data;
	}

	public void setData(Date data)
	{
		this.data = data;
	}

	public String getDescricao()
	{
		return descricao;
	}

	public void setDescricao(String descricao)
	{
		this.descricao = descricao;
	}

	public String getTexto()
	{
		return texto;
	}

	public void setTexto(String texto)
	{
		this.texto = texto;
	}

	public Integer getEmpresaID()
	{
		return empresaID;
	}

	public void setEmpresaID(Integer empresaID)
	{
		this.empresaID = empresaID;
	}

	public Integer getEstabelecimentoID()
	{
		return estabelecimentoID;
	}

	public void setEstabelecimentoID(Integer estabelecimentoID)
	{
		this.estabelecimentoID = estabelecimentoID;
	}

	public Integer getTrabalhadorID()
	{
		return trabalhadorID;
	}

	public void setTrabalhadorID(Integer trabalhadorID)
	{
		this.trabalhadorID = trabalhadorID;
	}

	public Integer getMarcacaoEstabelecimentoID()
	{
		return marcacaoEstabelecimentoID;
	}

	public void setMarcacaoEstabelecimentoID(Integer marcacaoEstabelecimentoID)
	{
		this.marcacaoEstabelecimentoID = marcacaoEstabelecimentoID;
	}

	public Integer getMarcacaoTrabalhadorID()
	{
		return marcacaoTrabalhadorID;
	}

	public void setMarcacaoTrabalhadorID(Integer marcacaoTrabalhadorID)
	{
		this.marcacaoTrabalhadorID = marcacaoTrabalhadorID;
	}

	public boolean isEnviarEmail()
	{
		return enviarEmail;
	}

	public void setEnviarEmail(boolean enviarEmail)
	{
		this.enviarEmail = enviarEmail;
	}

	public Integer getPeriodicidadeDias()
	{
		return periodicidadeDias;
	}

	public void setPeriodicidadeDias(Integer periodicidadeDias)
	{
		this.periodicidadeDias = periodicidadeDias;
	}

	public Integer getPeriodicidadeMeses()
	{
		return periodicidadeMeses;
	}

	public void setPeriodicidadeMeses(Integer periodicidadeMeses)
	{
		this.periodicidadeMeses = periodicidadeMeses;
	}

	public Integer getId()
	{
		return id;
	}

	public void setId(Integer id)
	{
		this.id = id;
	}
	
}
